<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['desde'];
$horadesde=$_GET['horadesde'];
$hasta=$_GET['hasta'];
$horahasta=$_GET['horahasta'];

$espacio=' ';
$desdef=$desde.$espacio.$horadesde;
$hastaf=$hasta.$espacio.$horahasta;

$tipo_movimiento=$_GET['tipo_movimiento'];
$medio_pago=$_GET['medio_pago'];

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'MOVIMIENTOS DESDE '.$desde. ' HASTA ' .$hasta ,0,1);

$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(30,4,'FECHA',1,0,'C',1);
$pdf->Cell(30,4,'MOVIMIENTO',1,0,'C',1);
$pdf->Cell(70,4,'DETALLE',1,0,'C',1);
$pdf->Cell(35,4,'USUARIO',1,0,'C',1);
$pdf->Cell(25,4,'VALOR',1,0,'C',1);
$pdf->Ln();

$sumador_cxc=0; 
$sumador_apartado=0; 
$sumador_adelanto=0; 
$sumador_egreso=0;


 

if ($tipo_movimiento=='0') 
{
    if ($medio_pago=='0') 
    {
        $query=mysqli_query($con, "SELECT * FROM ventas v, venta_abonos va where v.ven_id=va.ventas_ven_id and ven_estado<>'anulada'  AND va.veab_fecha BETWEEN '$desdef' AND '$hastaf' and va.empresa='$empresa' order by va.veab_fecha ASC");
    }
    else
    {
        $query=mysqli_query($con, "SELECT * FROM ventas v, venta_abonos va where va.medio_pago='$medio_pago' and v.ven_id=va.ventas_ven_id and ven_estado<>'anulada' AND va.veab_fecha BETWEEN '$desdef' AND '$hastaf' and va.empresa='$empresa' order by va.veab_fecha ASC");
    }

    
}


else if ($tipo_movimiento=='Ventas') 
{
    if ($medio_pago=='0') 
    {
        $query=mysqli_query($con,"SELECT * FROM ventas v JOIN venta_abonos va ON v.ven_id = va.ventas_ven_id
        WHERE  v.ven_estado <> 'anulada' and va.mov_id IS NULL
        AND va.veab_fecha BETWEEN '$desdef' AND '$hastaf'
        AND va.empresa = '$empresa'
        ORDER BY va.veab_fecha ASC");

    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas v JOIN venta_abonos va ON v.ven_id = va.ventas_ven_id
        WHERE va.medio_pago='$medio_pago' and v.ven_estado <> 'anulada' and va.mov_id IS NULL
        AND va.veab_fecha BETWEEN '$desdef' AND '$hastaf'
        AND va.empresa = '$empresa'
        ORDER BY va.veab_fecha ASC");
    }

    while ($reg=mysqli_fetch_array($query))    
    {
        $ventas_ven_id=$reg['ventas_ven_id'];
        $veab_fecha=$reg['veab_fecha'];
        $veab_abono=$reg['veab_abono'];
        $sumador_cxc+=$veab_abono;
        $usuario=$reg['usuario']; 
        $datos1=mysqli_query($con,"SELECT *, LEFT(usu_nombre,18) as usu_nombre FROM usuario WHERE usu_id='$usuario'");
        $fila1=mysqli_fetch_array( $datos1 );
        $usu_nombre=$fila1['usu_nombre'];

        $ven=mysqli_query($con,"SELECT * FROM ventas WHERE ven_id='$ventas_ven_id'");
        $ven=mysqli_fetch_array( $ven );
        $ven_prefijo=$ven['ven_prefijo'];
        $ven_n_venta=$ven['ven_n_venta'];

        $pdf->SetWidths(array(30,30,70,35,25));
        srand(time()*1000000);
        $pdf->Row(array($veab_fecha,'Factura de Venta','Pago a la factura # '.$ven_prefijo.$ven_n_venta,$usu_nombre,number_format($veab_abono,0),));
    }
}



else if ($tipo_movimiento=='CXC') 
{
    if ($medio_pago=='0') 
    {
        $query=mysqli_query($con,"SELECT * FROM ventas v JOIN venta_abonos va ON v.ven_id = va.ventas_ven_id
        WHERE  v.ven_estado <> 'anulada' and va.mov_id IS NOT  NULL
        AND va.veab_fecha BETWEEN '$desdef' AND '$hastaf'
        AND va.empresa = '$empresa'
        ORDER BY va.veab_fecha ASC");
    }
    else
    {
       $query=mysqli_query($con,"SELECT * FROM ventas v JOIN venta_abonos va ON v.ven_id = va.ventas_ven_id
        WHERE va.medio_pago='$medio_pago' and v.ven_estado <> 'anulada' and va.mov_id IS NOT NULL
        AND va.veab_fecha BETWEEN '$desdef' AND '$hastaf'
        AND va.empresa = '$empresa'
        ORDER BY va.veab_fecha ASC");
    }

    while ($reg=mysqli_fetch_array($query))    
    {
        $ventas_ven_id=$reg['ventas_ven_id'];
        $veab_fecha=$reg['veab_fecha'];
        $veab_abono=$reg['veab_abono'];
        $sumador_cxc+=$veab_abono;
        $usuario=$reg['usuario']; 
        $datos1=mysqli_query($con,"SELECT *, LEFT(usu_nombre,18) as usu_nombre FROM usuario WHERE usu_id='$usuario'");
        $fila1=mysqli_fetch_array( $datos1 );
        $usu_nombre=$fila1['usu_nombre'];


        $ven=mysqli_query($con,"SELECT * FROM ventas WHERE ven_id='$ventas_ven_id'");
        $ven=mysqli_fetch_array( $ven );
        $ven_prefijo=$ven['ven_prefijo'];
        $ven_n_venta=$ven['ven_n_venta'];

        $pdf->SetWidths(array(30,30,70,35,25));
        srand(time()*1000000);
        $pdf->Row(array($veab_fecha,'CXC','Abono a la factura # '.$ven_prefijo.$ven_n_venta,$usu_nombre,number_format($veab_abono,0),));
    }
}



else if ($tipo_movimiento=='Apartados') 
{
    if ($medio_pago=='0') 
    {
         $query=mysqli_query($con, "SELECT * FROM venta_apartada_abonos
            where veaa_fecha BETWEEN '$desde' AND '$hastaf' and empresa='$empresa' order by veaa_fecha ASC");
    }
    else
    {
        $query=mysqli_query($con, "SELECT * FROM venta_apartada_abonos
            where veaa_fecha BETWEEN '$desde' AND '$hastaf' and medio_pago='$medio_pago' and empresa='$empresa' order by veaa_fecha ASC");
    }
   
    while ($reg=mysqli_fetch_array($query))    
    {
        $ventas_apartadas_vena_id=$reg['ventas_apartadas_vena_id'];
        $veaa_fecha=$reg['veaa_fecha'];
        $veaa_abono=$reg['veaa_abono'];
        $sumador_apartado+=$veaa_abono; 
        $usuario=$reg['usuario']; 
        $datos1=mysqli_query($con,"SELECT *, LEFT(usu_nombre,18) as usu_nombre FROM usuario WHERE usu_id='$usuario'");
        $fila1=mysqli_fetch_array( $datos1 );
        $usu_nombre=$fila1['usu_nombre'];

        $ven=mysqli_query($con,"SELECT * FROM ventas_apartadas WHERE vena_id='$ventas_apartadas_vena_id'");
        $ven=mysqli_fetch_array( $ven );
        $vena_n_venta=$ven['vena_n_venta'];

        $pdf->SetWidths(array(30,30,70,35,25));
        srand(time()*1000000);
        $pdf->Row(array($veaa_fecha,'Apartado','Abono al Apartado # '.$vena_n_venta,$usu_nombre,number_format($veaa_abono,0),));
    }
}



else if ($tipo_movimiento=='Abono Adelantado') 
{
    if ($medio_pago=='0') 
    {
        $query=mysqli_query($con, "SELECT * FROM abono_adelantado
            where abo_fecha BETWEEN '$desde' AND '$hastaf' and empresa='$empresa' order by abo_fecha ASC");
    }
    else
    {
        $query=mysqli_query($con, "SELECT * FROM abono_adelantado 
            where abo_medio_pago='$medio_pago' and abo_fecha BETWEEN '$desde' AND '$hastaf' and empresa='$empresa' order by abo_fecha ASC");
    }

    while ($reg=mysqli_fetch_array($query))    
    {
        $abo_fecha=$reg['abo_fecha'];
        $abo_valor=$reg['abo_valor'];
        $abo_concepto=$reg['abo_concepto'];
        $sumador_adelanto+=$abo_valor; 
       
        $pdf->SetWidths(array(30,30,70,35,25));
        srand(time()*1000000);
        $pdf->Row(array($abo_fecha,'Abono Adelantado',$abo_concepto,'',number_format($abo_valor,0),));
    }
}



else if ($tipo_movimiento=='CXP') 
{
    if ($medio_pago=='0') 
    {
        
    }
    else
    {
        
    }
}


else if ($tipo_movimiento=='Egresos') 
{
    if ($medio_pago=='0') 
    {
        $query=mysqli_query($con, "SELECT * FROM egresos
            where DATE(fecha)  BETWEEN '$desde' AND '$hastaf' and empresa='$empresa' order by fecha ASC");
    }
    else
    {
        $query=mysqli_query($con, "SELECT * FROM egresos
            where DATE(fecha)  BETWEEN '$desde' AND '$hastaf' and banco='$medio_pago' and empresa='$empresa' order by fecha ASC");
    }

    while ($reg=mysqli_fetch_array($query))    
    {
        $fecha=$reg['fecha'];
        $total=$reg['total'];
        $concepto=$reg['concepto'];
        $sumador_egreso+=$total; 
        $usuario=$reg['usuario']; 
        $datos1=mysqli_query($con,"SELECT *, LEFT(usu_nombre,18) as usu_nombre FROM usuario WHERE usu_id='$usuario'");
        $fila1=mysqli_fetch_array( $datos1 );
        $usu_nombre=$fila1['usu_nombre'];
        $pdf->SetWidths(array(30,30,70,35,25));
        srand(time()*1000000);
        $pdf->Row(array($fecha,'Egreso',$concepto,$usu_nombre,number_format($total,0),));
    }

}


else if ($tipo_movimiento=='Devolucion De Efectivo') 
{
    if ($medio_pago=='0') 
    {
        
    }
    else
    {
        
    }
}

if($sumador_egreso>0)
{
    $pdf->SetFillColor(255,0,0);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(130,4,'',1,0,'C',1);
    $pdf->Cell(35,4,'TOTAL',1,0,'C',1);
    $pdf->Cell(25,4,number_format($sumador_egreso,0),1,0,'C',1);
    $pdf->Ln();
}

$sumador_total=$sumador_cxc+$sumador_apartado+$sumador_adelanto;
$pdf->SetFillColor(135,245,115);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(130,4,'',1,0,'C',1);
$pdf->Cell(35,4,'TOTAL',1,0,'C',1);
$pdf->Cell(25,4,number_format($sumador_total,0),1,0,'C',1);
$pdf->Ln();

$pdf->Output();
?>